Bulk Properties
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "{account_id}"
}
'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk"
payload = { "account_id": "{account_id}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '{account_id}'})
};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{account_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk"
payload := strings.NewReader("{\n \"account_id\": \"{account_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{account_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{account_id}\"\n}"
response = http.request(request)
puts response.read_body{
"rows": [
{
"property_name": "The Livingston",
"market_name": "Madison, WI Metro Area",
"submarket_name": "Downtown Madison",
"property_id": 781245,
"address": "1025 E Washington Ave",
"city": "Madison",
"state": "WI",
"zip_code": "53703",
"latitude": 43.0836,
"longitude": -89.3723,
"unified_status": "stabilized",
"unit_count": 186,
"number_of_stories": 6,
"year_built": 2018,
"year_renovated": null,
"property_class": "A",
"property_type": "Multifamily",
"management_company_names": [
"Northstar Residential"
],
"ownership_company_names": [
"Lakeview Multifamily Fund"
],
"on_revenue_management_tool": true,
"period": "2026-05",
"rent": 1842.37,
"rent_0_bed": 1375.2,
"rent_1_bed": 1698.44,
"rent_2_bed": 2136.08,
"rent_3_bed": 2698.5,
"ner": 1796.12,
"ner_0_bed": 1328.75,
"ner_1_bed": 1654.1,
"ner_2_bed": 2084.9,
"ner_3_bed": 2630.25,
"rent_psf": 2.48,
"rent_0_bed_psf": 3.18,
"rent_1_bed_psf": 2.72,
"rent_2_bed_psf": 2.18,
"rent_3_bed_psf": 1.92,
"ner_psf": 2.42,
"ner_0_bed_psf": 3.07,
"ner_1_bed_psf": 2.65,
"ner_2_bed_psf": 2.13,
"ner_3_bed_psf": 1.87,
"rent_growth_rate_yoy": 0.0341,
"ner_growth_rate_yoy": 0.0317,
"concession_value": 450,
"concession_percent": 0.0204,
"days_on_market": 27.46,
"occupancy_percent": 0.9435,
"leased_percent": 0.9562,
"exposure_percent": 0.0874
},
{
"property_name": "Summit Row",
"market_name": "Madison, WI Metro Area",
"submarket_name": "West Madison",
"property_id": 781266,
"address": "711 Junction Rd",
"city": "Madison",
"state": "WI",
"zip_code": "53717",
"latitude": 43.0719,
"longitude": -89.5264,
"unified_status": "lease_up",
"unit_count": 244,
"number_of_stories": 5,
"year_built": 2024,
"year_renovated": null,
"property_class": "A",
"property_type": "Multifamily",
"management_company_names": [
"Crescent Urban Living"
],
"ownership_company_names": [],
"on_revenue_management_tool": false,
"period": "2026-05",
"rent": 1718.92,
"rent_0_bed": 1298.1,
"rent_1_bed": 1586.25,
"rent_2_bed": 1994.42,
"rent_3_bed": null,
"ner": 1634.75,
"ner_0_bed": 1228.6,
"ner_1_bed": 1508.32,
"ner_2_bed": 1902.1,
"ner_3_bed": null,
"rent_psf": 2.31,
"rent_0_bed_psf": 3.01,
"rent_1_bed_psf": 2.54,
"rent_2_bed_psf": 2.06,
"rent_3_bed_psf": null,
"ner_psf": 2.2,
"ner_0_bed_psf": 2.85,
"ner_1_bed_psf": 2.41,
"ner_2_bed_psf": 1.96,
"ner_3_bed_psf": null,
"rent_growth_rate_yoy": null,
"ner_growth_rate_yoy": null,
"concession_value": 1250,
"concession_percent": 0.0606,
"days_on_market": 41.12,
"occupancy_percent": 0.7811,
"leased_percent": 0.8422,
"exposure_percent": 0.1934
}
],
"pagination": {
"current_page": 2,
"total_pages": 4,
"total_count": 175,
"per_page": 50
}
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Bulk
Bulk Properties
Retrieve bulk property rows using optional property filters, requested fields, and pagination.
Requires Explore Pro access and consumes property bulk export quota.
POST
/
properties
/
bulk
Bulk Properties
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "{account_id}"
}
'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk"
payload = { "account_id": "{account_id}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '{account_id}'})
};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{account_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk"
payload := strings.NewReader("{\n \"account_id\": \"{account_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{account_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{account_id}\"\n}"
response = http.request(request)
puts response.read_body{
"rows": [
{
"property_name": "The Livingston",
"market_name": "Madison, WI Metro Area",
"submarket_name": "Downtown Madison",
"property_id": 781245,
"address": "1025 E Washington Ave",
"city": "Madison",
"state": "WI",
"zip_code": "53703",
"latitude": 43.0836,
"longitude": -89.3723,
"unified_status": "stabilized",
"unit_count": 186,
"number_of_stories": 6,
"year_built": 2018,
"year_renovated": null,
"property_class": "A",
"property_type": "Multifamily",
"management_company_names": [
"Northstar Residential"
],
"ownership_company_names": [
"Lakeview Multifamily Fund"
],
"on_revenue_management_tool": true,
"period": "2026-05",
"rent": 1842.37,
"rent_0_bed": 1375.2,
"rent_1_bed": 1698.44,
"rent_2_bed": 2136.08,
"rent_3_bed": 2698.5,
"ner": 1796.12,
"ner_0_bed": 1328.75,
"ner_1_bed": 1654.1,
"ner_2_bed": 2084.9,
"ner_3_bed": 2630.25,
"rent_psf": 2.48,
"rent_0_bed_psf": 3.18,
"rent_1_bed_psf": 2.72,
"rent_2_bed_psf": 2.18,
"rent_3_bed_psf": 1.92,
"ner_psf": 2.42,
"ner_0_bed_psf": 3.07,
"ner_1_bed_psf": 2.65,
"ner_2_bed_psf": 2.13,
"ner_3_bed_psf": 1.87,
"rent_growth_rate_yoy": 0.0341,
"ner_growth_rate_yoy": 0.0317,
"concession_value": 450,
"concession_percent": 0.0204,
"days_on_market": 27.46,
"occupancy_percent": 0.9435,
"leased_percent": 0.9562,
"exposure_percent": 0.0874
},
{
"property_name": "Summit Row",
"market_name": "Madison, WI Metro Area",
"submarket_name": "West Madison",
"property_id": 781266,
"address": "711 Junction Rd",
"city": "Madison",
"state": "WI",
"zip_code": "53717",
"latitude": 43.0719,
"longitude": -89.5264,
"unified_status": "lease_up",
"unit_count": 244,
"number_of_stories": 5,
"year_built": 2024,
"year_renovated": null,
"property_class": "A",
"property_type": "Multifamily",
"management_company_names": [
"Crescent Urban Living"
],
"ownership_company_names": [],
"on_revenue_management_tool": false,
"period": "2026-05",
"rent": 1718.92,
"rent_0_bed": 1298.1,
"rent_1_bed": 1586.25,
"rent_2_bed": 1994.42,
"rent_3_bed": null,
"ner": 1634.75,
"ner_0_bed": 1228.6,
"ner_1_bed": 1508.32,
"ner_2_bed": 1902.1,
"ner_3_bed": null,
"rent_psf": 2.31,
"rent_0_bed_psf": 3.01,
"rent_1_bed_psf": 2.54,
"rent_2_bed_psf": 2.06,
"rent_3_bed_psf": null,
"ner_psf": 2.2,
"ner_0_bed_psf": 2.85,
"ner_1_bed_psf": 2.41,
"ner_2_bed_psf": 1.96,
"ner_3_bed_psf": null,
"rent_growth_rate_yoy": null,
"ner_growth_rate_yoy": null,
"concession_value": 1250,
"concession_percent": 0.0606,
"days_on_market": 41.12,
"occupancy_percent": 0.7811,
"leased_percent": 0.8422,
"exposure_percent": 0.1934
}
],
"pagination": {
"current_page": 2,
"total_pages": 4,
"total_count": 175,
"per_page": 50
}
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Authorizations
Body
application/json
Request contract for the API V2 properties bulk export endpoint.
Optional metric field names. Omit or pass an empty array for identity-only rows.
Property metric field to include in each bulk row.
Available options:
rent, rent_0_bed, rent_1_bed, rent_2_bed, rent_3_bed, ner, ner_0_bed, ner_1_bed, ner_2_bed, ner_3_bed, rent_psf, rent_0_bed_psf, rent_1_bed_psf, rent_2_bed_psf, rent_3_bed_psf, ner_psf, ner_0_bed_psf, ner_1_bed_psf, ner_2_bed_psf, ner_3_bed_psf, rent_growth_rate_yoy, ner_growth_rate_yoy, concession_value, concession_percent, days_on_market, occupancy_percent, leased_percent, exposure_percent Response
Bulk property rows and pagination metadata.